Bug 104917 - Xorg 1.19 aborts because it can't find any graphics devices/screens in Fedora 27/28 32 bit
Summary: Xorg 1.19 aborts because it can't find any graphics devices/screens in Fedora...
Status: RESOLVED NOTOURBUG
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/Radeon (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: xf86-video-ati maintainers
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-02 19:13 UTC by RobbieTheK
Modified: 2019-01-14 15:08 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
coredump (463.04 KB, application/x-lz4)
2018-02-02 19:13 UTC, RobbieTheK
no flags Details
Xorg.0.log (10.80 KB, text/plain)
2018-02-02 19:15 UTC, RobbieTheK
no flags Details
Xorg.log (10.81 KB, text/plain)
2018-06-04 19:36 UTC, RobbieTheK
no flags Details
dmesg log (82.52 KB, text/plain)
2018-06-05 13:42 UTC, RobbieTheK
no flags Details
xorg conf files requested (20.00 KB, application/x-tar)
2018-06-05 16:22 UTC, RobbieTheK
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description RobbieTheK 2018-02-02 19:13:14 UTC
Created attachment 137136 [details]
coredump

Similar to https://bugs.freedesktop.org/show_bug.cgi?id=101936 here are some logs:

Feb  2 13:58:10 curie gdm[26407]: Unable to kill session worker process
Feb  2 13:58:10 curie dbus-daemon[675]: [system] Rejected send message, 0 matched rules; type="error", sender=":1.29" (uid=0 pid=1447 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.3561" (uid=42 pid=26824 comm="/usr/libexec/Xorg vt1 -displayfd 3 -auth /run/user")
Feb  2 13:58:10 curie abrt-dump-journal-core[852]: Failed to obtain all required information from journald
Feb  2 13:58:10 curie systemd[1]: Started Process Core Dump (PID 26831/UID 0).
Feb  2 13:58:10 curie rsyslogd[20415]: imjournal: journal reloaded... [v8.32.0 try http://www.rsyslog.com/e/0 ]
Feb  2 13:58:11 curie gdm[26407]: Child process -26822 was already dead.
Feb  2 13:58:11 curie gdm[26407]: Child process 26814 was already dead.
Feb  2 13:58:11 curie gdm[26407]: Unable to kill session worker process
Feb  2 13:58:11 curie systemd-coredump[26832]: Process 26824 (Xorg) of user 42 dumped core.#012#012Stack trace of thread 26824:#012#0  0x00000000b7f73cf9 __kernel_vsyscall (linux-gate.so.1)#012#1  0x00000000b7786602 raise (libc.so.6)#012#2  0x00000000b7787ea7 abort (libc.so.6)#012#3  0x000000000821662b OsAbort (Xorg)#012#4  0x000000000821cee2 AbortServer (Xorg)#012#5  0x000000000821d95e FatalError (Xorg)#012#6  0x000000000807ee79 dix_main (Xorg)#012#7  0x00000000080653de main (Xorg)#012#8  0x00000000b776e803 __libc_start_main (libc.so.6)#012#9  0x0000000008065404 _start (Xorg)
Feb  2 13:58:11 curie systemd-logind[1447]: New session c49 of user gdm.
Feb  2 13:58:11 curie systemd[1]: Started Session c49 of user gdm.
Feb  2 13:58:11 curie abrt-dump-journal-core[852]: Failed to obtain all required information from journald
Feb  2 13:58:11 curie dbus-daemon[675]: [system] Rejected send message, 0 matched rules; type="error", sender=":1.29" (uid=0 pid=1447 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.3565" (uid=42 pid=26849 comm="/usr/libexec/Xorg vt1 -displayfd 3 -auth /run/user")
Feb  2 13:58:11 curie systemd[1]: Started Process Core Dump (PID 26850/UID 0).
Feb  2 13:58:11 curie systemd-coredump[26851]: Process 26849 (Xorg) of user 42 dumped core.#012#012Stack trace of thread 26849:#012#0  0x00000000b7f61cf9 __kernel_vsyscall (linux-gate.so.1)#012#1  0x00000000b7774602 raise (libc.so.6)#012#2  0x00000000b7775ea7 abort (libc.so.6)#012#3  0x000000000821662b OsAbort (Xorg)#012#4  0x000000000821cee2 AbortServer (Xorg)#012#5  0x000000000821d95e FatalError (Xorg)#012#6  0x000000000807ee79 dix_main (Xorg)#012#7  0x00000000080653de main (Xorg)#012#8  0x00000000b775c803 __libc_start_main (libc.so.6)#012#9  0x0000000008065404 _start (Xorg)
Feb  2 13:58:11 curie gdm[26407]: Child process -26847 was already dead.
Feb  2 13:58:11 curie gdm[26407]: Child process 26836 was already dead.
Feb  2 13:58:11 curie gdm[26407]: Unable to kill session worker process
Feb  2 13:58:11 curie systemd-logind[1447]: New session c50 of user gdm.
Feb  2 13:58:11 curie systemd[1]: Started Session c50 of user gdm.
Feb  2 13:58:11 curie dbus-daemon[675]: [system] Rejected send message, 0 matched rules; type="error", sender=":1.29" (uid=0 pid=1447 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.3569" (uid=42 pid=26869 comm="/usr/libexec/Xorg vt1 -displayfd 3 -auth /run/user")
Feb  2 13:58:11 curie abrt-dump-journal-core[852]: Failed to obtain all required information from journald
Feb  2 13:58:11 curie systemd[1]: Started Process Core Dump (PID 26870/UID 0).
Comment 1 RobbieTheK 2018-02-02 19:15:05 UTC
Created attachment 137137 [details]
Xorg.0.log

rpm -q xorg-x11-server-Xorg
xorg-x11-server-Xorg-1.19.6-2.fc27.i686
Comment 2 RobbieTheK 2018-02-02 19:31:50 UTC
If it helps here's a gdb:

gdb  /usr/libexec/Xorg /var/lib/systemd/coredump/core.Xorg.42.e441588487b74ca5893135fe695cd1aa.27146.1517597898000000
GNU gdb (GDB) Fedora 8.0.1-33.fc27
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/libexec/Xorg...Reading symbols from /usr/lib/debug/usr/libexec/Xorg-1.19.6-2.fc27.i386.debug...done.
done.
[New LWP 27146]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/libexec/Xorg vt1 -displayfd 3 -auth /run/user/42/gdm/Xauthority -backgroun'.
Program terminated with signal SIGABRT, Aborted.
#0  0xb7f54cf9 in __kernel_vsyscall ()
Comment 3 RobbieTheK 2018-06-04 19:09:16 UTC
Still happening in Fedora 28:
gdb /usr/libexec/Xorg core.Xorg.0.6448cdc2272644f0a25242a1c2562d9f.24277.1528138755000000                              GNU gdb (GDB) Fedora 8.1-15.fc28
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/libexec/Xorg...Reading symbols from /usr/lib/debug/usr/libexec/Xorg-1.19.6-8.fc28.i386.debug...done.
done.
[New LWP 24277]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/libexec/Xorg -core -noreset :0 -seat seat0 -auth /var/run/lightdm/root/:0'.
Program terminated with signal SIGABRT, Aborted.
#0  0xb7f8fd21 in __kernel_vsyscall ()


Jun  4 14:59:15 curie systemd-coredump[24265]: Process 24263 (Xorg) of user 0 dumped core.#012#012Stack trace of thread 24263:#012#0  0x000000
00b7fbcd21 __kernel_vsyscall (linux-gate.so.1)#012#1  0x00000000b77cae52 raise (libc.so.6)#012#2  0x00000000b77b482f abort (libc.so.6)#012#3  
0x00000000081ed409 OsAbort (Xorg)#012#4  0x00000000081f32a6 AbortServer (Xorg)#012#5  0x00000000081f3c84 FatalError (Xorg)#012#6  0x0000000008
07b8b7 dix_main (Xorg)#012#7  0x000000000806439f main (Xorg)#012#8  0x00000000b77b6191 __libc_start_main (libc.so.6)#012#9  0x00000000080643e2
 _start (Xorg)
Comment 4 Alan Coopersmith 2018-06-04 19:27:22 UTC
That shows the X server is calling FatalError and killing itself.
Please attach the relevant Xorg logs so we can see what
error message the FatalError is printing when doing that.
Comment 5 Alan Coopersmith 2018-06-04 19:30:07 UTC
Oh, never mind, I missed that Xorg.0.log was provided in a earlier comment.

It shows you've configured to use the "radeon" driver, but that Xorg can't
find any devices that driver supports in the system.
Comment 6 RobbieTheK 2018-06-04 19:36:12 UTC
Created attachment 140022 [details]
Xorg.log

newer Xorg.log
Comment 7 RobbieTheK 2018-06-04 19:38:30 UTC
(In reply to Alan Coopersmith from comment #5)
> Oh, never mind, I missed that Xorg.0.log was provided in a earlier comment.
> 
> It shows you've configured to use the "radeon" driver, but that Xorg can't
> find any devices that driver supports in the system.

Where would I unset that and what can I set it to?
Comment 8 RobbieTheK 2018-06-04 19:43:57 UTC
I found it I had:
20-radeon.conf 
Section "Device"
        Identifier      "default"
        Driver          "radeon"
EndSection

So I removed it. Tried lightdm again. Now getting this:

Jun  4 15:39:31 curie systemd-coredump[25314]: Process 25312 (Xorg) of user 0 dumped core.#012#012Stack trace of thread 25312:#012#0  0x00000000b7f1ad21 __kernel_vsyscall (linux-gate.so.1)#012#1  0x00000000b7728e52 __libc_signal_restore_set (libc.so.6)#012#2  0x00000000b771282f __GI_abort (libc.so.6)#012#3  0x00000000081ed409 OsAbort (Xorg)#012#4  0x00000000080bd79c ddxGiveUp (Xorg)#012#5  0x00000000080bd845 AbortDDX (Xorg)#012#6  0x00000000081f3284 AbortServer (Xorg)#012#7  0x00000000081f3c84 FatalError (Xorg)#012#8  0x00000000081ea38f OsSigHandler (Xorg)#012#9  0x00000000b7f1ad38 __kernel_rt_sigreturn (linux-gate.so.1)#012#10 0x00000000b7ba3340 pci_device_next (libpciaccess.so.0)#012#11 0x00000000b7ba3419 pci_device_find_by_slot (libpciaccess.so.0)#012#12 0x00000000b7ba5494 pci_device_vgaarb_init (libpciaccess.so.0)#012#13 0x00000000080d8368 xf86VGAarbiterInit (Xorg)#012#14 0x00000000080b01eb xf86BusConfig (Xorg)#012#15 0x00000000080bf457 InitOutput (Xorg)#012#16 0x000000000807b364 dix_main (Xorg)#012#17 0x000000000806439f main (Xorg)#012#18 0x00000000b7714191 __libc_start_main (libc.so.6)#012#19 0x00000000080643e2 _start (Xorg)

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/libexec/Xorg -core -noreset :0 -seat seat0 -auth /var/run/lightdm/root/:0'.
Program terminated with signal SIGABRT, Aborted.
#0  0xb7f1ad21 in __kernel_vsyscall ()


[876663.337] (EE) Backtrace:
[876663.337] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x136) [0x81ea456]
[876663.338] (EE) 1: ? (?+0x136) [0xb7f1ae6d]
[876663.339] (EE) 2: /lib/libpciaccess.so.0 (pci_device_next+0xf0) [0xb7ba3340]
[876663.340] (EE) 3: /lib/libpciaccess.so.0 (pci_device_find_by_slot+0x59) [0xb7ba3419]
[876663.340] (EE) 4: /lib/libpciaccess.so.0 (pci_device_vgaarb_init+0xc4) [0xb7ba5494]
[876663.341] (EE) 5: /usr/libexec/Xorg (xf86ConfigPciEntity+0x40b8) [0x80dc408]
[876663.341] (EE) 6: /usr/libexec/Xorg (xf86BusConfig+0xeb) [0x80b01eb]
[876663.342] (EE) 7: /usr/libexec/Xorg (InitOutput+0x9d7) [0x80bf457]
[876663.342] (EE) 8: /usr/libexec/Xorg (InitFonts+0x2a4) [0x807b3b4]
[876663.342] (EE) 9: /usr/libexec/Xorg (miPolyFillRect+0x164) [0x80644d4]
[876663.343] (EE) 10: /lib/libc.so.6 (__libc_start_main+0xf1) [0xb7714191]
[876663.343] (EE) 11: /usr/libexec/Xorg (_start+0x32) [0x8064414]
[876663.343] (EE) 
[876663.344] (EE) Segmentation fault at address 0x0
[876663.344] (EE) 
Fatal server error:
[876663.344] (EE) Caught signal 11 (Segmentation fault). Server aborting
[876663.344] (EE)
Comment 9 Alan Coopersmith 2018-06-04 20:02:39 UTC
What you can set it to depends on what graphics card/device you have in the
system.  I don't see any indication in your Xorg.log of what that might be.
Comment 10 RobbieTheK 2018-06-04 20:12:44 UTC
(In reply to Alan Coopersmith from comment #9)
> What you can set it to depends on what graphics card/device you have in the
> system.  I don't see any indication in your Xorg.log of what that might be.

09:0d.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV100 [Radeon 7000 / Radeon VE]
Comment 11 Michel Dänzer 2018-06-05 09:26:35 UTC
Please attach the corresponding dmesg output.
Comment 12 RobbieTheK 2018-06-05 13:42:07 UTC
Created attachment 140033 [details]
dmesg log

Perhaps a clue in here?

[Fri May 25 12:08:27 2018] pci 0000:09:0d.0: vgaarb: setting as boot VGA device
[Fri May 25 12:08:27 2018] pci 0000:09:0d.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[Fri May 25 12:08:27 2018] pci 0000:09:0d.0: vgaarb: bridge control possible
[Fri May 25 12:08:27 2018] vgaarb: loaded

[Fri May 25 12:08:30 2018] [drm] radeon kernel modesetting enabled.
[Fri May 25 12:08:30 2018] [drm] initializing kernel modesetting (RV100 0x1002:0x5159 0x1028:0x016C 0x00).
[Fri May 25 12:08:30 2018] radeon 0000:09:0d.0: VRAM: 128M 0x00000000D0000000 - 0x00000000D7FFFFFF (16M used)
[Fri May 25 12:08:30 2018] radeon 0000:09:0d.0: GTT: 512M 0x00000000B0000000 - 0x00000000CFFFFFFF
[Fri May 25 12:08:30 2018] [drm] Detected VRAM RAM=128M, BAR=128M
[Fri May 25 12:08:30 2018] [drm] RAM width 32bits DDR
[Fri May 25 12:08:30 2018] [TTM] Zone  kernel: Available graphics memory: 424444 kiB
[Fri May 25 12:08:30 2018] [TTM] Zone highmem: Available graphics memory: 1679744 kiB
[Fri May 25 12:08:30 2018] [TTM] Initializing pool allocator
[Fri May 25 12:08:30 2018] [TTM] Initializing DMA pool allocator
[Fri May 25 12:08:30 2018] [drm] radeon: 16M of VRAM memory ready
[Fri May 25 12:08:30 2018] [drm] radeon: 512M of GTT memory ready.
[Fri May 25 12:08:30 2018] [drm] GART: num cpu pages 131072, num gpu pages 131072
[Fri May 25 12:08:30 2018] [drm] PCI GART of 512M enabled (table at 0x0000000035C80000).
[Fri May 25 12:08:30 2018] radeon 0000:09:0d.0: WB disabled
[Fri May 25 12:08:30 2018] radeon 0000:09:0d.0: fence driver on ring 0 use gpu addr 0x00000000b0000000 and cpu addr 0x7a045d80
[Fri May 25 12:08:30 2018] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[Fri May 25 12:08:30 2018] [drm] Driver supports precise vblank timestamp query.
[Fri May 25 12:08:30 2018] [drm] radeon: irq initialized.
[Fri May 25 12:08:30 2018] [drm] Loading R100 Microcode
[Fri May 25 12:08:30 2018] [drm] radeon: ring at 0x00000000B0001000
[Fri May 25 12:08:30 2018] [drm] ring test succeeded in 1 usecs
[Fri May 25 12:08:30 2018] [drm] ib test succeeded in 0 usecs
[Fri May 25 12:08:30 2018] [drm] No TV DAC info found in BIOS
[Fri May 25 12:08:30 2018] [drm] Radeon Display Connectors
[Fri May 25 12:08:30 2018] [drm] Connector 0:
[Fri May 25 12:08:30 2018] [drm]   VGA-1
[Fri May 25 12:08:30 2018] [drm]   DDC: 0x60 0x60 0x60 0x60 0x60 0x60 0x60 0x60
[Fri May 25 12:08:30 2018] [drm]   Encoders:
[Fri May 25 12:08:30 2018] [drm]     CRT1: INTERNAL_DAC1
[Fri May 25 12:08:30 2018] [drm] Connector 1:
[Fri May 25 12:08:30 2018] [drm]   VGA-2
[Fri May 25 12:08:30 2018] [drm]   DDC: 0x6c 0x6c 0x6c 0x6c 0x6c 0x6c 0x6c 0x6c
[Fri May 25 12:08:30 2018] [drm]   Encoders:
[Fri May 25 12:08:30 2018] [drm]     CRT2: INTERNAL_DAC2
[Fri May 25 12:08:30 2018] [drm] Connector 2:
[Fri May 25 12:08:30 2018] [drm]   DVI-I-1
[Fri May 25 12:08:30 2018] [drm]   HPD1
[Fri May 25 12:08:30 2018] [drm]   DDC: 0x64 0x64 0x64 0x64 0x64 0x64 0x64 0x64
[Fri May 25 12:08:30 2018] [drm]   Encoders:
[Fri May 25 12:08:30 2018] [drm]     CRT2: INTERNAL_DAC2
[Fri May 25 12:08:30 2018] [drm]     DFP1: INTERNAL_TMDS1
Comment 13 Michel Dänzer 2018-06-05 15:52:34 UTC
Still no idea what's wrong. Please also attach all files in /etc/X11/xorg.conf.d/ and /usr/share/X11/xorg.conf.d/ (if there are any symlinks, attach the real files they resolve to, and mention the symlink name in the comment when attaching it).
Comment 14 RobbieTheK 2018-06-05 16:22:03 UTC
Created attachment 140034 [details]
xorg conf files requested

tar archive of conf files from  /etc/X11/xorg.conf.d/ and /usr/share/X11/xorg.conf.d/
Comment 15 RobbieTheK 2018-06-08 18:49:36 UTC
(In reply to Michel Dänzer from comment #13)
> Still no idea what's wrong. Please also attach all files in
> /etc/X11/xorg.conf.d/ and /usr/share/X11/xorg.conf.d/ (if there are any
> symlinks, attach the real files they resolve to, and mention the symlink
> name in the comment when attaching it).

I take it the config files didn't help? Is there any other debug/verbose logging that I can enable?
Comment 16 RobbieTheK 2018-06-23 04:02:45 UTC
Helli Michel do you need any more logs from me? Or are the backtraces I put accidentally in  https://bugs.freedesktop.org/show_bug.cgi?id=81678 sufficient?
Comment 17 mirh 2019-01-11 22:12:54 UTC
So.. bug 81678 has been eventually fixed in libpciaccess. 
If you build yourself xorg (after having installed the latest git of that tool) is anything changing?
Comment 18 RobbieTheK 2019-01-14 14:18:11 UTC
(In reply to mirh from comment #17)
> So.. bug 81678 has been eventually fixed in libpciaccess. 
> If you build yourself xorg (after having installed the latest git of that
> tool) is anything changing?

LightDM seems to start without errors. GDM still throws these debug logs:

Jan 14 09:13:51 curie gnome-session-binary[4317]: DEBUG(+): GsmManager: CanShutdown called
Jan 14 09:13:51 curie journal[4356]: g_dir_open_with_errno: assertion 'path != NULL' failed
Jan 14 09:13:51 curie journal[4356]: g_filename_to_utf8: assertion 'opsysstring != NULL' failed

Jan 14 09:13:56 curie journal[4439]: failed to get edid: unable to get EDID for output
Jan 14 09:13:56 curie journal[4356]: Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
Jan 14 09:13:57 curie journal[4439]: unable to get EDID for xrandr-VGA-0: unable to get EDID for output
Jan 14 09:13:58 curie journal[4356]: JS WARNING: [resource:///org/gnome/shell/ui/layout.js 29]: reference to undefined property "MetaWindowX11"
journal[4428]: Service not used for 60 seconds. Shutting down..
Comment 19 Michel Dänzer 2019-01-14 15:08:37 UTC
(In reply to RobbieTheK from comment #18)
> LightDM seems to start without errors. GDM still throws these debug logs:

Those look like GDM/gnome-shell issues, nothing X related (recent versions of GDM use Wayland instead of X by default).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.